Bug 1296938 - [RFE] dnf read only history for non-root users
[RFE] dnf read only history for non-root users
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
23
All Linux
low Severity unspecified
: ---
: ---
Assigned To: rpm-software-management
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-08 08:43 EST by Ed Avis
Modified: 2016-11-30 05:03 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-30 05:03:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ed Avis 2016-01-08 08:43:07 EST
'dnf history' does not work as non-root, not even for read-only history queries.

I understand that on many systems it may be a policy decision not to allow non-root to view the history of package updates, and this bug is not necessarily a request to change that default.  And yet, the underlying rpm database is available for read-only access to ordinary users; and requiring a read-only report of package changes to run as root ends up expanding the number of things that require root access, which may end up weakening rather than strengthening security.

Please add a documented way to allow read-only history operations ('dnf history list', 'dnf history info') to be run by non-root users.
Comment 1 Honza Silhan 2016-01-11 08:18:29 EST
It's a valid point.
Comment 2 Fedora Admin XMLRPC Client 2016-07-08 05:36:35 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora End Of Life 2016-11-24 09:47:23 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Honza Silhan 2016-11-30 05:03:47 EST
There might be security issues when it's readable by user. History used to be readable in yum but security team requested to change that.

Note You need to log in before you can comment on or make changes to this bug.